Package org.eclipse.gef.fx.jface

# Class FXPaintLabelProvider

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.viewers.BaseLabelProvider
org.eclipse.jface.viewers.LabelProvider
org.eclipse.gef.fx.jface.FXPaintLabelProvider

All Implemented Interfaces:
  `IBaseLabelProvider`, `ILabelProvider`

public class FXPaintLabelProvider extends LabelProvider
A label provider for a `Paint` value.

## Constructor Summary

Constructors
Constructor
Description
`FXPaintLabelProvider()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`Image`
`getImage(Object element)`
`String`
`getText(Object element)`

### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

`createImageProvider, createTextImageProvider, createTextProvider`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, isLabelProperty, removeListener`

## Constructor Details

### FXPaintLabelProvider

public FXPaintLabelProvider()

## Method Details

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IBaseLabelProvider`
Overrides:
  `dispose` in class `BaseLabelProvider`

### getImage

public Image getImage(Object element)

Specified by:
  `getImage` in interface `ILabelProvider`
Overrides:
  `getImage` in class `LabelProvider`

### getText

public String getText(Object element)

Specified by:
  `getText` in interface `ILabelProvider`
Overrides:
  `getText` in class `LabelProvider`